""" Interfaces for the SOAP Publisher """
import zope.interface
from zope.component.interfaces import IPresentation, IView
from zope.publisher.interfaces import IPublication, IPublishTraverse
from zope.publisher.interfaces.http import IHTTPRequest

class ISOAPRequest(IHTTPRequest):
    """ SOAP Request """

# Publishing
class ISOAPPublisher(IPublishTraverse):
    """ SOAP Publisher """

class ISOAPMethodPublisher(zope.interface.Interface):
    """ Marker interface for objects that want to publish methods """

# Views
class ISOAPPresentation(IPresentation):
    """ SOAP Presentation """

class ISOAPView(ISOAPPresentation, IView):
    """ SOAP View """

class ISOAPPublication(IPublication):
    """ Object Publication Framework """
    
    def getDefaultTraversal(request, ob):
        """Get the default published object for the request

        Allows a default view to be added to traversal.
        Returns (ob, steps_reversed).
        """
